Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.crypt

# Enum Class EncryptionInitInfo.InitResult

java.lang.Object
java.lang.Enum<EncryptionInitInfo.InitResult>
org.firebirdsql.gds.ng.wire.crypt.EncryptionInitInfo.InitResult

All Implemented Interfaces:
  `Serializable`, `Comparable<EncryptionInitInfo.InitResult>`, `Constable`

Enclosing class:
  EncryptionInitInfo

public static enum EncryptionInitInfo.InitResult extends Enum<EncryptionInitInfo.InitResult>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAILURE`
`SUCCESS`

## Method Summary

Modifier and Type
Method
Description
`static EncryptionInitInfo.InitResult`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EncryptionInitInfo.InitResult[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final EncryptionInitInfo.InitResult SUCCESS

### FAILURE

public static final EncryptionInitInfo.InitResult FAILURE

## Method Details

### values

public static EncryptionInitInfo.InitResult[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EncryptionInitInfo.InitResult valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null